PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | List of all members
plask::SpatialIndexNode< DIMS > Struct Template Referenceabstract

Base class for cache and nodes of cache. More...

`#include <plask/geometry/spatial_index.hpp>`

Inheritance diagram for plask::SpatialIndexNode< DIMS >:
[legend]

## Public Member Functions
virtual shared_ptr< Material > | getMaterial (const Vec< DIMS > &p) const =0
virtual bool | contains (const Vec< DIMS > &p) const =0
virtual GeometryObject::Subtree | getPathsAt (shared_ptr< const GeometryObject > caller, const Vec< DIMS > &point, bool all) const =0
virtual | ~SpatialIndexNode ()

## Detailed Description

template<int DIMS>
struct plask::SpatialIndexNode< DIMS >

Base class for cache and nodes of cache.

It has some methods similar to this in GeometryObjectContainer API and is used by TranslationContainer.

Definition at line 27 of file spatial_index.hpp.

## Constructor & Destructor Documentation

## ◆ ~SpatialIndexNode()

template<int DIMS>

virtual plask::SpatialIndexNode< DIMS >::~SpatialIndexNode | ( |  | ) |
| inline virtual

Definition at line 35 of file spatial_index.hpp.

## Member Function Documentation

## ◆ contains()

template<int DIMS>

virtual bool plask::SpatialIndexNode< DIMS >::contains | ( | const Vec< DIMS > & | p | ) | const
| pure virtual

Implemented in plask::EmptyLeafCacheNode< DIMS >, plask::LeafCacheNode< DIMS >, and plask::InternalCacheNode< DIMS, dir >.

## ◆ getMaterial()

template<int DIMS>

virtual shared_ptr< Material > plask::SpatialIndexNode< DIMS >::getMaterial | ( | const Vec< DIMS > & | p | ) | const
| pure virtual

Implemented in plask::EmptyLeafCacheNode< DIMS >, plask::LeafCacheNode< DIMS >, and plask::InternalCacheNode< DIMS, dir >.

## ◆ getPathsAt()

template<int DIMS>

virtual GeometryObject::Subtree plask::SpatialIndexNode< DIMS >::getPathsAt | ( | shared_ptr< const GeometryObject > | caller,
|  | const Vec< DIMS > & | point,
|  | bool | all
| ) |  | const
| pure virtual

Implemented in plask::InternalCacheNode< DIMS, dir >, plask::LeafCacheNode< DIMS >, and plask::EmptyLeafCacheNode< DIMS >.

The documentation for this struct was generated from the following file:

- plask/geometry/spatial_index.hpp